> ## Documentation Index
> Fetch the complete documentation index at: https://docs.intermezzo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Wage Type By Number

> Get a German wage type by its wage type number



## OpenAPI

````yaml /api-reference/preview.json get /germany/wage-types/{wage_type_number}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /germany/wage-types/{wage_type_number}:
    get:
      tags:
        - Germany
      summary: Get Wage Type By Number
      description: Get a German wage type by its wage type number
      operationId: get_wage_type_by_number_germany_wage_types__wage_type_number__get
      parameters:
        - name: wage_type_number
          in: path
          required: true
          schema:
            type: integer
            title: Wage Type Number
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DEWageTypeResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerToken: []
components:
  schemas:
    DEWageTypeResponse:
      properties:
        valid_from:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Valid From
        valid_to:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Valid To
        id:
          type: integer
          title: Id
          description: Database ID
        wage_type_number:
          type: integer
          title: Wage Type Number
          description: The business key of the wage type
        name:
          type: string
          title: Name
          description: The name of the wage type
        is_total_gross_component:
          type: boolean
          title: Is Total Gross Component
          description: Component of the total gross (Gesamtbrutto)
        component_type:
          $ref: '#/components/schemas/WageTypeComponent'
          description: The component type
        tax_treatment:
          $ref: '#/components/schemas/TaxTreatment'
          description: The tax treatment
        tax_certificate_line_item:
          anyOf:
            - type: string
            - type: 'null'
          title: Tax Certificate Line Item
          description: Tax certificate line item
        social_security_treatment:
          $ref: '#/components/schemas/SocialSecurityTreatment'
          description: The social security treatment
        is_sv_relevant_component:
          type: boolean
          title: Is Sv Relevant Component
          description: Component of Arbeitsentgelt
        is_reimbursable_aag:
          type: boolean
          title: Is Reimbursable Aag
          description: Reimbursable under AAG
        is_accident_insurance_relevant:
          type: boolean
          title: Is Accident Insurance Relevant
          description: Relevant for accident insurance
        is_gl_component:
          type: boolean
          title: Is Gl Component
          description: Component of base wage
        is_average_earnings_component:
          type: boolean
          title: Is Average Earnings Component
          description: Component of average earnings
        garnishment_treatment:
          $ref: '#/components/schemas/GarnishmentTreatment'
          description: Garnishment treatment
        is_minimum_wage_component:
          type: boolean
          title: Is Minimum Wage Component
          description: Component of minimum wage
      additionalProperties: true
      type: object
      required:
        - id
        - wage_type_number
        - name
        - is_total_gross_component
        - component_type
        - tax_treatment
        - tax_certificate_line_item
        - social_security_treatment
        - is_sv_relevant_component
        - is_reimbursable_aag
        - is_accident_insurance_relevant
        - is_gl_component
        - is_average_earnings_component
        - garnishment_treatment
        - is_minimum_wage_component
      title: DEWageTypeResponse
      description: Response schema for German wage type
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    WageTypeComponent:
      type: string
      enum:
        - gross_earning
        - gross_deduction
        - net_earning
        - net_deduction
      title: WageTypeComponent
      description: Component of a wage type.
    TaxTreatment:
      type: string
      enum:
        - recurring_wage
        - one_time_payment
        - flat_rate_tax
        - tax_free
      title: TaxTreatment
      description: Tax treatment of a wage type.
    SocialSecurityTreatment:
      type: string
      enum:
        - recurring_wage
        - one_time_payment
        - social_security_free
      title: SocialSecurityTreatment
      description: Social security treatment of a wage type.
    GarnishmentTreatment:
      type: string
      enum:
        - full
        - non_garnishable
        - partial
      title: GarnishmentTreatment
      description: Garnishment treatment of a wage type.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerToken:
      type: oauth2
      flows:
        password:
          scopes:
            read:all: Read all
            write:all: Write all
            read:health_check: Read health check
            write:health_check: Write health check
            read:wage_types: Read wage types
            write:wage_types: Write wage types
          tokenUrl: >-
            https://auth-preview.intermezzo.ai/authorize?audience=api-preview.intermezzo.ai

````